Replace offers for customer
curl --request PATCH \
--url https://api.kajabi.com/v1/customers/{customer_id}/relationships/offers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": [
{
"id": "<string>",
"type": "<string>"
}
]
}
'import requests
url = "https://api.kajabi.com/v1/customers/{customer_id}/relationships/offers"
payload = { "data": [
{
"id": "<string>",
"type": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: [{id: '<string>', type: '<string>'}]})
};
fetch('https://api.kajabi.com/v1/customers/{customer_id}/relationships/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "<string>"
}
],
"links": {
"self": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}Customers
Replace offers for customer
Replace offer grant(s) for a customer
Replace offer grants (grants and revokes offers to/from customer) using a list of resource identifiers
In the request body inlcude offer resource identifier(s), id: OFFER_ID, type: "offers".
{ "data": [{"type": "offers", "id": "456"}, {"type": "offers", "id": "789"}] }
Response
- A successful response body will list the offers related to the customer
- An error response will include a JSON body with error details.
PATCH
/
v1
/
customers
/
{customer_id}
/
relationships
/
offers
Replace offers for customer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I